PETSc version 3.17.4
Fix/Edit manual page

# DMSwarmRestoreCellSwarm

Restores a DMSwarm object obtained with DMSwarmGetCellSwarm(). All fields are copied back into the parent swarm.

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmRestoreCellSwarm(DM sw, PetscInt cellID, DM cellswarm)

Noncollective

### Input parameters

| sw | - the parent DMSwarm
| cellID | - the integer id of the cell to be copied back into the parent swarm
| cellswarm | - the cell swarm object

### Note

This only supports DMSWARM_PIC types of DMSwarms

### See Also

DMSwarmGetCellSwarm()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages